Installer - Feature #16802

Hammer CLI scap plugin install support via foreman-installer
10/05/2016 07:24 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Foreman modules
Target version: 1.14.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1381915 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/485,
https://github.com/theforeman/foreman-i
nstaller/pull/210

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1381915

Description of problem:
Currently, we install the Hammer scap cli plugin , by manually installing the tfm-rubygem-hammer_cli_foreman_openscap package.

The idea is to add support in the installer for installing it.

Version-Release number of selected component (if applicable):
Build: Satellite 6.3 snap3 / Foreman 1.13

How reproducible:
Always

Steps to Reproduce:
1. Enable the scap plugin via installer
2. Web Ul has the scap plugin features

Actual results:
No hammer CLI scap plugin

Expected results:
The scap CLI plugin should be installed when we enable the scap plugin via installer

Additional info:

Related issues:
Related to Katello - Bug #23242: foreman-installer does not install hammer op... Closed 04/12/2018

Associated revisions

Revision b9b2c34d - 11/23/2016 03:55 AM - Marek Hulan

Fixes #16802 - enable hammer openscap plugin installation

Revision d362e610 - 11/23/2016 05:27 AM - Marek Hulan
Refs #16802 - openscap hammer plugin

History

#1 - 10/05/2016 07:25 AM - Marek Hulan

- Subject changed from Hammer CLI scap plugin install support via satelllite-installer
to Hammer CLI scap plugin install support via satelllite-installer

- Target version set to 1.5.0
https://bugzilla.redhat.com/show_bug.cgi?id=1381915

#2 - 10/05/2016 09:55 AM - Marek Hulan
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/puppet-foreman/pull/485 added

#3 - 10/18/2016 10:32 AM - Marek Hulan

- Target version changed from 1.5.0 to 1.4.2

#4 - 11/08/2016 09:35 AM - Marek Hulan

- Target version changed from 1.4.2 to 1.4.4

#5 - 11/22/2016 12:04 PM - Marek Hulan
- Project changed from OpenSCAP to Installer

#6 - 11/23/2016 03:34 AM - Dominic Cleal
- Subject changed from Hammer CLI scap plugin install support via satelllite-installer to Hammer CLI scap plugin install support via foreman-installer

- Category set to Foreman modules

#7 - 11/23/2016 03:34 AM - Dominic Cleal

- Tracker changed from Bug to Feature

#8 - 11/23/2016 04:00 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/210 added

#9 - 11/23/2016 04:03 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|b9b2c34dcf6fal4be927c3d120267af7elfe178c.

#10 - 11/23/2016 04:11 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#11 - 04/12/2018 07:15 AM - Ales Dujicek

- Related to Bug #23242: foreman-installer does not install hammer openscap plugin added
